Skip to main content

Base URL

All API requests should be made to:
https://api.getchatads.com

Authentication

All API endpoints require authentication via the x-api-key header.
curl -H "x-api-key: YOUR_API_KEY" \
  https://api.getchatads.com/v1/chatads/messages
Get your API key from app.getchatads.com/api/keys.

Request Format

All requests should:
  • Use Content-Type: application/json
  • Include the x-api-key header
  • Send data in JSON format

Response Times

Our API is designed for low-latency inline processing, with response times optimized for different use cases.

Fast

75ms - 150msExtremely fast, but may not always extract best keyword and/or find an offer. Use extraction_mode=fast and/or resolution_mode=fast to enable.

Standard

400ms - 1400msThorough analysis of input text + multi-source affiliate URL discovery for higher match rates.

Response Format

All responses follow this structure. Check error == null to determine success.
{
  "data": {
    "status": "filled",
    "offers": [
      {
        "link_text": "durable chew toy",
        "url": "https://amazon.com/dp/B0C3HCCVKK/?tag=YOUR-TAG",
        "product": {
          "title": "Beiker 20 Pack Puppy Chew Toys - Puppy Teething Rings and Ropes",
          "stars": 4.3,
          "reviews": 2154
        }
      }
    ],
    "requested": 1,
    "returned": 1
  },
  "error": null,
  "meta": {
    "request_id": "d6a8f6f2-3b5a-4f0a-81ab-1b4a4c9dd5ea",
    "timestamp": "2026-02-27T18:30:00Z",
    "version": "1.0.0",
    "country": "US",
    "timing_ms": {
      "total_ms": 422.0
    },
    "usage": {
      "monthly_requests": 250,
      "daily_requests": 20,
      "daily_limit": 100,
      "is_free_tier": true,
      "free_tier_limit": 100,
      "free_tier_remaining": 80
    }
  }
}

Endpoints

POST /v1/chatads/messages

Analyze a message for affiliate opportunities

Error Handling

See Error Handling for details on error codes and responses.

Rate Limits

See Rate Limits for information about request quotas.